Subject: Re: evening bloomer

From: Paula M Craft <[email-masked]>
Date: Sat, 4 Mar 1995 21:03:59 -0700

You may have seen evening primrose (oenothera) known for their evening 
bloom.  They also self sow vigorously and seem to actually spit the seeds 
out.  I have a lovely bed of bright yellow ones (zone 4-5) and they are 
very dependable and easy to grow.  In fact, it may be starting to become 
a bit invasive in that bed.  They bloom longer if spent blooms are picked 
off.  They are one of my favorite flowers, mostly because I finish my day 
in the garden sitting on the patio, next to them.

Nicotinia is another evening bloomer, seeds are widely available and I 
have had good luck with them also.